.r-header {
  margin-bottom: 4rem;
  &__name {
    margin-bottom: 1.875rem;

    @include font($font-xl, $alpha-color, 300);
    text-transform: uppercase;

    span {
      font-weight: 900;
    }
  }

  &__position {
    margin-bottom: 1.5rem;

    @include font($font-m, $gamma-color);
    text-transform: uppercase;
  }

  &__description {
    max-width: 50rem;
    @include font(1rem, $gamma-color);
    line-height: 1.9;
    letter-spacing: 0.15rem;
  }

  &__image {
    @include size(100%, 100%);
    object-fit: cover;
    object-position: center;

    &-wrapper {
      margin: 0 2rem 1rem auto;
      overflow: hidden;

      @include size(10rem, 10rem);
      border-radius: 50%;
    }
  }

  &__contact-list {
    position: relative;
    padding: 0 2rem 0 0;
    margin: 0;
    list-style-type: none;

    &:before {
      content: '';
      position: absolute;
      @include size(1px, 500%);
      bottom: 1rem;
      right: calc(2rem / 2);
      background-color: $alpha-color;
    }
  }

  %contact {
    margin-bottom: 1.2rem;
    position: relative;

    @include font($font-xs, $alpha-color);
    text-align: right;
    text-decoration: none;
    letter-spacing: 0.1rem;
  }

  &__contact-item {
    @extend %contact;

    &:after {
      content: '';
      position: absolute;
      @include size(1rem, 1rem);
      top: 50%;
      right: calc(-1rem / 2);
      transform: translate(100%, -50%);

      background-color: $alpha-color;
      border-radius: 50%;
    }
  }

  &__link {
    @extend %contact;

    &:after {
      content: '';
      background: rgba($beta-color, 0.1);
      position: absolute;
      left: 0.75rem;
      bottom: -0.375rem;
      width: calc(100% - 0.5rem);
      height: calc(100% - 0.5rem);
      z-index: -1;
      transition: 0.35s cubic-bezier(0.25, 0.1, 0, 2.05);
    }

    &:hover:after {
      left: 0;
      bottom: -0.125rem;
      width: 100%;
      height: 100%;
    }
  }
}
